import { r as registerInstance, B as Build, h } from './index-26447f8a.js';

const appCampaignListCss = "";

const AppCampaignList = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.paginationEl = undefined;
    this.query = undefined;
  }
  onSearchInput(event) {
    this.query = event.target.value;
  }
  componentDidLoad() {
    if (!(Build === null || Build === void 0 ? void 0 : Build.isBrowser))
      return;
  }
  render() {
    return [
      h("ion-content", { class: "ion-padding" }, h("floodteam-title-bar", null, h("ion-router-link", { href: "/campaigns" }, "Campaigns"), h("ion-buttons", { slot: "end" }, h("ion-button", { fill: "solid", color: "primary", href: "/campaigns/new" }, "Add"))), h("div", { class: "ion-padding" }, h("fireenjin-search-bar", { ref: (el) => (this.filterBarEl = el), paginationEl: this.paginationEl, filters: null })), h("fireenjin-pagination", { ref: (el) => (this.paginationEl = el), gridEl: ({ result }) => (h("floodteam-snapshot-card", { href: `/campaigns/${result.id}`, buttonText: "View Campaign" }, h("ion-label", null, h("h2", null, result.name ? result.name : "")))), listEl: ({ result }) => (h("ion-item", { href: `/campaigns/${result.id}`, detail: true }, h("ion-label", null, h("h2", null, result.name ? result.name : "", " ")))), endpoint: "listCampaigns", resultsKey: "campaigns", query: this.query, name: "campaigns" })),
      h("floodteam-navigation-footer", null),
    ];
  }
};
AppCampaignList.style = appCampaignListCss;

export { AppCampaignList as app_campaign_list };
